Package org.drinkless.tdlib

# Class TdApi.GetStorageStatistics

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.StorageStatistics>
org.drinkless.tdlib.TdApi.GetStorageStatistics

Enclosing class:
  `TdApi`

public static class TdApi.GetStorageStatistics extends TdApi.Function<TdApi.StorageStatistics>
Returns storage usage statistics. Can be called before authorization.

Returns `StorageStatistics`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `chatLimit`
  The maximum number of chats with the largest storage usage for which separate statistics need to be returned.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetStorageStatistics()`
  Default constructor for a function, which returns storage usage statistics.
  `GetStorageStatistics(int chatLimit)`
  Creates a function, which returns storage usage statistics.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatLimit

    public int chatLimit
    The maximum number of chats with the largest storage usage for which separate statistics need to be returned. All other chats will be grouped in entries with chatId == 0. If the chat info database is not used, the chatLimit is ignored and is always set to 0.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetStorageStatistics

    public GetStorageStatistics()
    Default constructor for a function, which returns storage usage statistics. Can be called before authorization.

    Returns `StorageStatistics`

  - ### GetStorageStatistics

    public GetStorageStatistics(int chatLimit)
    Creates a function, which returns storage usage statistics. Can be called before authorization.

    Returns `StorageStatistics`

    Parameters:
      `chatLimit` - The maximum number of chats with the largest storage usage for which separate statistics need to be returned. All other chats will be grouped in entries with chatId == 0. If the chat info database is not used, the chatLimit is ignored and is always set to 0.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.StorageStatistics>`
    Returns:
      this.CONSTRUCTOR